#!/usr/bin/perl -I /usr/sausalito/perl
# $Id: maxusers.pl,v 1.8.2.1 2002/03/05 01:19:07 pbaltz Exp $
# Copyright 2000-2002 Sun Microsystems, Inc., All rights reserved.
#
# enforce the maxusers requirement for vsites

use CCE;

my $cce = new CCE('Domain' => 'base-vsite');
$cce->connectfd();

my $user_new = $cce->event_new();

# special case, if the site property of the user is not set assume it's a global user
if ($user_new->{site} eq '')
{
    $cce->bye('SUCCESS');
    exit(0);
}

# get the vsite info
my ($ok, $vsite) = $cce->get(($cce->find("Vsite", { 'name' => $user_new->{site} }))[0]);
if (not $ok)
{
    $cce->bye('FAIL', '[[base-vsite.cantReadVsite]]');
    exit(1);
}

# get current number of users and check to see if this user
# will put the site over the limit
# note: the user being created will be found in this search 
#		so it's actually current users + 1
my $num_users = scalar($cce->find('User', { 'site' => $user_new->{site} }));

if ($num_users > $vsite->{maxusers})
{
	$cce->bye('FAIL', 'overUserLimit', { 'fqdn' => $vsite->{fqdn} });
	exit(1);
}

$cce->bye('SUCCESS');
exit(0);

