#!/usr/bin/perl -I/usr/sausalito/perl -I/usr/sausalito/handlers/base/vsite
# Copyright 2001 Sun Microsystems, Inc.  All rights reserved.
# $Id: suspend.pl,v 1.3.2.1 2002/01/31 02:53:23 pbaltz Exp $
#
# Handle most of the site related stuff that needs to happen when a site 
# is suspended.

use CCE;

my $cce = new CCE;
$cce->connectfd();

# things to do on site suspend
# 1. (maybe) disable mailing lists or maybe just maillist server.
# 2. disable VirtualHost
# 3. suspend all site users

my $vsite = $cce->event_object();

# deal with mailing lists when they actually somewhat work

# disable my VirtualHost
my ($vhost) = $cce->findx('VirtualHost', { 'name' => $vsite->{name} });
my ($ok) = $cce->set($vhost, '', 
        { 'enabled' => ($vsite->{suspend} ? 0 : 1) });

if (not $ok)
{
    $cce->bye('FAIL', '[[base-vsite.cantDisableVhost]]');
    exit(1);
}

# suspend/unsuspend all site users
my @users = ();
if ($vsite->{suspend}) {
	#
	# site being suspended, so find all site members that are currently
	# enabled
	#
	@users = $cce->findx('User',
			{ 'site' => $vsite->{name}, 'enabled' => 1 });
} else {
	#
	# site being unsuspended, so find all site members who
	# should be reenabled
	#
	@users = $cce->findx('User',
			{ 'site' => $vsite->{name}, 'ui_enabled' => 1 });
}

for my $user (@users) {
    ($ok) = $cce->set($user, '', { 'enabled' => ($vsite->{suspend} ? 0 : 1) });

    if (not $ok)
    {
        $cce->bye('FAIL', '[[base-vsite.cantSuspendUsers]]');
        exit(1);
    }
}

$cce->bye('SUCCESS');
exit(0);
