#!/usr/bin/perl -w -I/usr/sausalito/perl
# Copyright 2001 Sun Microsystems, Inc.  All rights reserved.
# $Id: watch_disk.pl,v 1.4 2001/11/05 22:02:03 pbaltz Exp $
#
# make sure that additional storage that sites are located on cannot
# be modified or removed so that the sites become unusable

use CCE;

my $cce = new CCE('Domain' => 'base-vsite');
$cce->connectfd();

my $disk = $cce->event_object();
if ($cce->event_is_destroy())
{
    $disk = $cce->event_old();
}

# just succeed for the /home partition
if ($disk->{mountPoint} eq '/home')
{
    $cce->bye('SUCCESS');
    exit(0);
}

my @sites = $cce->findx('Vsite', 
                    { 'volume' => $disk->{mountPoint} });

if (scalar(@sites))
{
    my @site_names = ();
    for my $site (@sites)
    {
        my ($ok, $site_info) = $cce->get($site);
        push @site_names, $site_info->{fqdn};
    }
    
    $cce->bye('FAIL', 'diskUsedBySites', 
                { 'sites' => (join(', ', @site_names)) });
    exit(1);
}

$cce->bye('SUCCESS');
exit(0);
    
